#!/usr/bin/python3
import os
import sys

def showUsageInformation():
	print() 
	print("Calculate Sum of Numbers takes all the numbers in the command line arguments")
	print("and calculates the sum of only the integers. Other tokens are skipped.")
	print("The total sum is shown on the screen.")
	print() 
	print("Way of usage:")
	print() 
	print("When you start Calculate Sum of Numbers, you have to type all the integers")
	print("after one another with spaces in between.")
	print()
	print("Example:") 
	print()
	print("python3 CalculateSumOfNumbers.py 1 2 3") # The total sum in this example here will be 6.
	print()
	
	sys.exit()

# Here is checked, if the number is really an integer.
def isInteger(number):
	try:
		int_number = int(number)
		return True
	except:
		return False

# The sum of numbers is calculated here. 
# Only integers are taken into account
def calculateSum(lstNumbers):
	
	total = 0
	
	for number in lstNumbers:
		if isInteger(number):
			numberInt = int(number)
			total = total + numberInt
			
	return(total)

# The end results will be shown. 
def showResults(total):
	
	print("The total sum of numbers is: " + str(total))


def main(argv):
	if len(argv) >= 2:
		if argv[1] == "-h" or argv[1] == "--h" or argv[1] == "-help" or argv[1] == "--help":
			showUsageInformation()
			
	lstNumbers = argv[1:]
	totalSum = calculateSum(lstNumbers)
	showResults(totalSum)
	
                               
if __name__ == "__main__":
	main(sys.argv)
	

