#!/bin/bash 

# Show usage information:
if [ "${1}" == "--h" ] || [ "${1}" == "--help" ] || [ "${1}" == "-h" ] || [ "${1}" == "-help" ]
then
	echo "" 
	echo "Several Numbers Calculation Maker Pipeline makes several calculations"
	echo "with 4 numbers. The first 2 numbers will be used to calculate the sum."
	echo "The last 2 numbers will be used to calculate the result of the base"
	echo "to the power of the exponent."
	echo "" 
	echo "Way of usage:" 
	echo "" 
	echo "When you start the Several Numbers Calculation Maker Pipeline with this start bash script,"
	echo "the first 2 numbers will be asked for the sum and the last 2 numbers will"
	echo "be asked for the calculation for powering."
	echo ""
	echo "Example:" 
	echo ""
	echo "bash StartSeveralNumbersCalculationMakerPipeline.sh"
	echo ""
	
	exit  
fi

# Ask questions to the user for the right input.
echo -n "What is the first number for the sum? "
read firstNumber
echo -n "What is the second number for the sum? "
read secondNumber
echo -n "What is the third number for the the base? "
read thirdNumber
echo -n "What is the fourth number for the exponent? "
read fourthNumber


# Check presence of the script files.
onePipelineItemMissing=false

# All the necessary files and directories of the pipeline must be present.
# Their presences are checked.

for pipelineFile in \
	CalculateSumOfNumbers.py \
	DeterminePowerAnswerFromNumbers.R \
	SeveralNumbersCalculationMakerPipeline.sh 
do
	if ! [ -f ${pipelineFile} ]
	then
		echo ${pipelineFile}" does not exist." 
		onePipelineItemMissing=true
	fi
done

# Exit, if one or more pipeline items are missing.
if ${onePipelineItemMissing}
then
	echo "The pipeline is aborted."
	
	exit 	
fi

# Pipeline is started.

bash SeveralNumbersCalculationMakerPipeline.sh ${firstNumber} \
	${secondNumber} ${thirdNumber} ${fourthNumber}

